<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFRow (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFRow (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFRow.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFRow.html" target="_top">Frames</a></li>
        <li><a href="HSSFRow.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class HSSFRow" class="title">Class HSSFRow</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.usermodel.HSSFRow</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Comparable&lt;<a href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html"
                                                   title="class in org.apache.poi.hssf.usermodel">HSSFRow</a>&gt;,
                        java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                                 title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;, <a
                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                title="interface in org.apache.poi.ss.usermodel">Row</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">HSSFRow</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/usermodel/Row.html"
              title="interface in org.apache.poi.ss.usermodel">Row</a>, java.lang.Comparable&lt;<a
                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html"
                            title="class in org.apache.poi.hssf.usermodel">HSSFRow</a>&gt;</pre>
                <div class="block">High level representation of a row of a spreadsheet.

                    Only rows that have cells should be added to a Sheet.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ss.usermodel.Row">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                        title="interface in org.apache.poi.ss.usermodel">Row</a></h3>
                                <code><a href="../../../../../org/apache/poi/ss/usermodel/Row.MissingCellPolicy.html"
                                         title="enum in org.apache.poi.ss.usermodel">Row.MissingCellPolicy</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#INITIAL_CAPACITY">INITIAL_CAPACITY</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#cellIterator--">cellIterator</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#compareTo-org.apache.poi.hssf.usermodel.HSSFRow-">compareTo</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFRow</a>&nbsp;other)</code>
                                    <div class="block">Compares two <code>HSSFRow</code> objects.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#createCell-int-">createCell</a></span>(int&nbsp;column)</code>
                                    <div class="block">Use this to create new cells within the row and return it.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#createCell-int-org.apache.poi.ss.usermodel.CellType-">createCell</a></span>(int&nbsp;columnIndex,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                       title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;type)</code>
                                    <div class="block">Use this to create new cells within the row and return it.</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;obj)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#getCell-int-">getCell</a></span>(int&nbsp;cellnum)</code>
                                    <div class="block">Get the hssfcell representing a given column (logical cell)
                                        0-based.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFCell</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#getCell-int-org.apache.poi.ss.usermodel.Row.MissingCellPolicy-">getCell</a></span>(int&nbsp;cellnum,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Row.MissingCellPolicy.html"
                                       title="enum in org.apache.poi.ss.usermodel">Row.MissingCellPolicy</a>&nbsp;policy)</code>
                                    <div class="block">Get the hssfcell representing a given column (logical cell)
                                        0-based.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#getFirstCellNum--">getFirstCellNum</a></span>()</code>
                                    <div class="block">get the number of the first cell contained in this row.</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#getHeight--">getHeight</a></span>()</code>
                                    <div class="block">get the row's height or ff (-1) for undefined/default-height in
                                        twips (1/20th of a point)
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>float</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#getHeightInPoints--">getHeightInPoints</a></span>()</code>
                                    <div class="block">get the row's height or ff (-1) for undefined/default-height in
                                        points (20*getHeight())
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#getLastCellNum--">getLastCellNum</a></span>()</code>
                                    <div class="block">Gets the index of the last cell contained in this row <b>PLUS
                                        ONE</b>.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#getOutlineLevel--">getOutlineLevel</a></span>()</code>
                                    <div class="block">Returns the rows outline level.</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#getPhysicalNumberOfCells--">getPhysicalNumberOfCells</a></span>()</code>
                                    <div class="block">gets the number of defined cells (NOT number of cells in the
                                        actual row!).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#getRowNum--">getRowNum</a></span>()</code>
                                    <div class="block">get row number this row represents</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hssf/record/RowRecord.html"
                                        title="class in org.apache.poi.hssf.record">RowRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#getRowRecord--">getRowRecord</a></span>()</code>
                                    <div class="block">get the lowlevel RowRecord represented by this object - should
                                        only be called
                                        by other parts of the high level API
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#getRowStyle--">getRowStyle</a></span>()</code>
                                    <div class="block">Returns the whole-row cell styles.</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#getSheet--">getSheet</a></span>()</code>
                                    <div class="block">Returns the HSSFSheet this row belongs to</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#getZeroHeight--">getZeroHeight</a></span>()</code>
                                    <div class="block">get whether or not to display this row with 0 height</div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#isFormatted--">isFormatted</a></span>()</code>
                                    <div class="block">Is this row formatted? Most aren't, but some rows
                                        do have whole-row styles.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#iterator--">iterator</a></span>()</code>
                                    <div class="block">Alias for <a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#cellIterator--"><code>cellIterator()</code></a>
                                        to allow
                                        foreach loops
                                    </div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#moveCell-org.apache.poi.hssf.usermodel.HSSFCell-short-">moveCell</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFCell</a>&nbsp;cell,
                                    short&nbsp;newColumn)</code>
                                    <div class="block">Moves the supplied cell to a new column, which
                                        must not already have a cell there!
                                    </div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#removeAllCells--">removeAllCells</a></span>()</code>
                                    <div class="block">Removes all the cells from the row, and their
                                        records too.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#removeCell-org.apache.poi.ss.usermodel.Cell-">removeCell</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>
                                    <div class="block">remove the HSSFCell from this row.</div>
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#setHeight-short-">setHeight</a></span>(short&nbsp;height)</code>
                                    <div class="block">set the row's height or set to ff (-1) for
                                        undefined/default-height.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#setHeightInPoints-float-">setHeightInPoints</a></span>(float&nbsp;height)</code>
                                    <div class="block">set the row's height in points.</div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#setRowNum-int-">setRowNum</a></span>(int&nbsp;rowIndex)</code>
                                    <div class="block">set the row number of this row.</div>
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#setRowStyle-org.apache.poi.ss.usermodel.CellStyle-">setRowStyle</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                        title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</code>
                                    <div class="block">Applies a whole-row cell styling to the row.</div>
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#setRowStyle-org.apache.poi.hssf.usermodel.HSSFCellStyle-">setRowStyle</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a>&nbsp;style)</code>
                                    <div class="block">Applies a whole-row cell styling to the row.</div>
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#setZeroHeight-boolean-">setZeroHeight</a></span>(boolean&nbsp;zHeight)</code>
                                    <div class="block">set whether or not to display this row with 0 height</div>
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#shiftCellsLeft-int-int-int-">shiftCellsLeft</a></span>(int&nbsp;firstShiftColumnIndex,
                                    int&nbsp;lastShiftColumnIndex,
                                    int&nbsp;step)</code>
                                    <div class="block">Shifts column range [firstShiftColumnIndex-lastShiftColumnIndex]
                                        step places to the left.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#shiftCellsRight-int-int-int-">shiftCellsRight</a></span>(int&nbsp;firstShiftColumnIndex,
                                    int&nbsp;lastShiftColumnIndex,
                                    int&nbsp;step)</code>
                                    <div class="block">Shifts column range [firstShiftColumnIndex-lastShiftColumnIndex]
                                        step places to the right.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="INITIAL_CAPACITY">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>INITIAL_CAPACITY</h4>
                                <pre>public static final&nbsp;int INITIAL_CAPACITY</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createCell-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createCell</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html"
                                                    title="class in org.apache.poi.hssf.usermodel">HSSFCell</a>&nbsp;createCell(int&nbsp;column)</pre>
                                <div class="block">Use this to create new cells within the row and return it.
                                    <p>
                                        The cell that is returned is a <a
                                            href="../../../../../org/apache/poi/ss/usermodel/CellType.html#BLANK"><code>CellType.BLANK</code></a>.
                                        The type can be changed
                                        either through calling <code>setCellValue</code> or <code>setCellType</code>.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#createCell-int-">createCell</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>column</code> - - the column number this cell represents</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>HSSFCell a high level representation of the created cell.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if columnIndex < 0 or greater
                                        than 255,
                                        the maximum number of columns supported by the Excel binary format (.xls)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createCell-int-org.apache.poi.ss.usermodel.CellType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createCell</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html"
                                                    title="class in org.apache.poi.hssf.usermodel">HSSFCell</a>&nbsp;createCell(int&nbsp;columnIndex,
                           <a href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
                              title="enum in org.apache.poi.ss.usermodel">CellType</a>&nbsp;type)</pre>
                                <div class="block">Use this to create new cells within the row and return it.
                                    <p>
                                        The cell that is returned will be of the requested type.
                                        The type can be changed either through calling setCellValue
                                        or setCellType, but there is a small overhead to doing this,
                                        so it is best to create the required type up front.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#createCell-int-org.apache.poi.ss.usermodel.CellType-">createCell</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>columnIndex</code> - - the column number this cell represents</dd>
                                    <dd><code>type</code> - - the cell's data type</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>HSSFCell a high level representation of the created cell.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if columnIndex < 0 or greater
                                        than 255,
                                        the maximum number of columns supported by the Excel binary format (.xls)
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeCell-org.apache.poi.ss.usermodel.Cell-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeCell</h4>
                                <pre>public&nbsp;void&nbsp;removeCell(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</pre>
                                <div class="block">remove the HSSFCell from this row.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#removeCell-org.apache.poi.ss.usermodel.Cell-">removeCell</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> - to remove</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="removeAllCells--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeAllCells</h4>
                                <pre>protected&nbsp;void&nbsp;removeAllCells()</pre>
                                <div class="block">Removes all the cells from the row, and their
                                    records too.
                                </div>
                            </li>
                        </ul>
                        <a name="setRowNum-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRowNum</h4>
                                <pre>public&nbsp;void&nbsp;setRowNum(int&nbsp;rowIndex)</pre>
                                <div class="block">set the row number of this row.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#setRowNum-int-">setRowNum</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rowIndex</code> - the row number (0-based)</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IndexOutOfBoundsException</code> - if the row number is not
                                        within the range 0-65535.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRowNum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRowNum</h4>
                                <pre>public&nbsp;int&nbsp;getRowNum()</pre>
                                <div class="block">get row number this row represents</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a href="../../../../../org/apache/poi/ss/usermodel/Row.html#getRowNum--">getRowNum</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the row number (0 based)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheet</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSheet.html"
                                                    title="class in org.apache.poi.hssf.usermodel">HSSFSheet</a>&nbsp;getSheet()</pre>
                                <div class="block">Returns the HSSFSheet this row belongs to</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a href="../../../../../org/apache/poi/ss/usermodel/Row.html#getSheet--">getSheet</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the HSSFSheet that owns this row</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOutlineLevel--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getOutlineLevel</h4>
                                <pre>public&nbsp;int&nbsp;getOutlineLevel()</pre>
                                <div class="block">Returns the rows outline level. Increased as you
                                    put it into more groups (outlines), reduced as
                                    you take it out of them.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#getOutlineLevel--">getOutlineLevel</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="moveCell-org.apache.poi.hssf.usermodel.HSSFCell-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>moveCell</h4>
                                <pre>public&nbsp;void&nbsp;moveCell(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFCell</a>&nbsp;cell,
                     short&nbsp;newColumn)</pre>
                                <div class="block">Moves the supplied cell to a new column, which
                                    must not already have a cell there!
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cell</code> - The cell to move</dd>
                                    <dd><code>newColumn</code> - The new column number (0 based)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCell-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCell</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html"
                                                    title="class in org.apache.poi.hssf.usermodel">HSSFCell</a>&nbsp;getCell(int&nbsp;cellnum)</pre>
                                <div class="block">Get the hssfcell representing a given column (logical cell)
                                    0-based. If you ask for a cell that is not defined then
                                    you get a null, unless you have set a different
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Row.MissingCellPolicy.html"
                                       title="enum in org.apache.poi.ss.usermodel"><code>Row.MissingCellPolicy</code></a>
                                    on the base workbook.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#getCell-int-">getCell</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cellnum</code> - 0 based column number</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>HSSFCell representing that column or null if undefined.</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Row.html#getCell-int-org.apache.poi.ss.usermodel.Row.MissingCellPolicy-"><code>Row.getCell(int,
                                            org.apache.poi.ss.usermodel.Row.MissingCellPolicy)</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getCell-int-org.apache.poi.ss.usermodel.Row.MissingCellPolicy-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCell</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hssf/usermodel/HSSFCell.html"
                                                    title="class in org.apache.poi.hssf.usermodel">HSSFCell</a>&nbsp;getCell(int&nbsp;cellnum,
                        <a href="../../../../../org/apache/poi/ss/usermodel/Row.MissingCellPolicy.html"
                           title="enum in org.apache.poi.ss.usermodel">Row.MissingCellPolicy</a>&nbsp;policy)</pre>
                                <div class="block">Get the hssfcell representing a given column (logical cell)
                                    0-based. If you ask for a cell that is not defined, then
                                    your supplied policy says what to do
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#getCell-int-org.apache.poi.ss.usermodel.Row.MissingCellPolicy-">getCell</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>cellnum</code> - 0 based column number</dd>
                                    <dd><code>policy</code> - Policy on blank / missing cells</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>representing that column or null if undefined + policy allows.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFirstCellNum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFirstCellNum</h4>
                                <pre>public&nbsp;short&nbsp;getFirstCellNum()</pre>
                                <div class="block">get the number of the first cell contained in this row.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#getFirstCellNum--">getFirstCellNum</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>short representing the first logical cell in the row, or -1 if the row does not
                                        contain any cells.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLastCellNum--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastCellNum</h4>
                                <pre>public&nbsp;short&nbsp;getLastCellNum()</pre>
                                <div class="block">Gets the index of the last cell contained in this row <b>PLUS ONE</b>.
                                    The result also
                                    happens to be the 1-based column number of the last cell. This value can be used as
                                    a
                                    standard upper bound when iterating over cells:
                                    <pre>
 short minColIx = row.getFirstCellNum();
 short maxColIx = row.getLastCellNum();
 for(short colIx=minColIx; colIx&lt;maxColIx; colIx++) {
   HSSFCell cell = row.getCell(colIx);
   if(cell == null) {
     continue;
   }
   //... do something with cell
 }
 </pre>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#getLastCellNum--">getLastCellNum</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>short representing the last logical cell in the row <b>PLUS ONE</b>, or -1 if
                                        the
                                        row does not contain any cells.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPhysicalNumberOfCells--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPhysicalNumberOfCells</h4>
                                <pre>public&nbsp;int&nbsp;getPhysicalNumberOfCells()</pre>
                                <div class="block">gets the number of defined cells (NOT number of cells in the actual
                                    row!).
                                    That is to say if only columns 0,4,5 have values then there would be 3.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#getPhysicalNumberOfCells--">getPhysicalNumberOfCells</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>int representing the number of defined cells in the row.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHeight-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHeight</h4>
                                <pre>public&nbsp;void&nbsp;setHeight(short&nbsp;height)</pre>
                                <div class="block">set the row's height or set to ff (-1) for undefined/default-height.
                                    Set the height in "twips" or
                                    1/20th of a point.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#setHeight-short-">setHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>height</code> - rowheight or -1 for undefined (use sheet default)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setZeroHeight-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setZeroHeight</h4>
                                <pre>public&nbsp;void&nbsp;setZeroHeight(boolean&nbsp;zHeight)</pre>
                                <div class="block">set whether or not to display this row with 0 height</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#setZeroHeight-boolean-">setZeroHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>zHeight</code> - height is zero or not.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getZeroHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getZeroHeight</h4>
                                <pre>public&nbsp;boolean&nbsp;getZeroHeight()</pre>
                                <div class="block">get whether or not to display this row with 0 height</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#getZeroHeight--">getZeroHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>- zHeight height is zero or not.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHeightInPoints-float-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHeightInPoints</h4>
                                <pre>public&nbsp;void&nbsp;setHeightInPoints(float&nbsp;height)</pre>
                                <div class="block">set the row's height in points.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#setHeightInPoints-float-">setHeightInPoints</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>height</code> - row height in points, <code>-1</code> means to use the
                                        default height
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHeight--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeight</h4>
                                <pre>public&nbsp;short&nbsp;getHeight()</pre>
                                <div class="block">get the row's height or ff (-1) for undefined/default-height in twips
                                    (1/20th of a point)
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a href="../../../../../org/apache/poi/ss/usermodel/Row.html#getHeight--">getHeight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>rowheight or 0xff for undefined (use sheet default)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getHeightInPoints--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getHeightInPoints</h4>
                                <pre>public&nbsp;float&nbsp;getHeightInPoints()</pre>
                                <div class="block">get the row's height or ff (-1) for undefined/default-height in
                                    points (20*getHeight())
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#getHeightInPoints--">getHeightInPoints</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>rowheight or 0xff for undefined (use sheet default)</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html#getDefaultRowHeightInPoints--"><code>Sheet.getDefaultRowHeightInPoints()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRowRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRowRecord</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/hssf/record/RowRecord.html"
                                                       title="class in org.apache.poi.hssf.record">RowRecord</a>&nbsp;getRowRecord()</pre>
                                <div class="block">get the lowlevel RowRecord represented by this object - should only
                                    be called
                                    by other parts of the high level API
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>RowRecord this row represents</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isFormatted--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isFormatted</h4>
                                <pre>public&nbsp;boolean&nbsp;isFormatted()</pre>
                                <div class="block">Is this row formatted? Most aren't, but some rows
                                    do have whole-row styles. For those that do, you
                                    can get the formatting from <a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#getRowStyle--"><code>getRowStyle()</code></a>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#isFormatted--">isFormatted</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRowStyle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRowStyle</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a>&nbsp;getRowStyle()</pre>
                                <div class="block">Returns the whole-row cell styles. Most rows won't
                                    have one of these, so will return null. Call
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#isFormatted--"><code>isFormatted()</code></a>
                                    to check first.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#getRowStyle--">getRowStyle</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRowStyle-org.apache.poi.hssf.usermodel.HSSFCellStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRowStyle</h4>
                                <pre>public&nbsp;void&nbsp;setRowStyle(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFCellStyle.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFCellStyle</a>&nbsp;style)</pre>
                                <div class="block">Applies a whole-row cell styling to the row.</div>
                            </li>
                        </ul>
                        <a name="setRowStyle-org.apache.poi.ss.usermodel.CellStyle-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRowStyle</h4>
                                <pre>public&nbsp;void&nbsp;setRowStyle(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                        title="interface in org.apache.poi.ss.usermodel">CellStyle</a>&nbsp;style)</pre>
                                <div class="block">Applies a whole-row cell styling to the row.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#setRowStyle-org.apache.poi.ss.usermodel.CellStyle-">setRowStyle</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="cellIterator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>cellIterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;&nbsp;cellIterator()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#cellIterator--">cellIterator</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>cell iterator of the physically defined cells.
                                        Note that the 4th element might well not be cell 4, as the iterator
                                        will not return un-defined (null) cells.
                                        Call getCellNum() on the returned cells to know which cell they are.
                                        As this only ever works on physically defined cells,
                                        the
                                        <a href="../../../../../org/apache/poi/ss/usermodel/Row.MissingCellPolicy.html"
                                           title="enum in org.apache.poi.ss.usermodel"><code>Row.MissingCellPolicy</code></a>
                                        has no effect.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="iterator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>iterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                        title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;&nbsp;iterator()</pre>
                                <div class="block">Alias for <a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html#cellIterator--"><code>cellIterator()</code></a>
                                    to allow
                                    foreach loops
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a
                                            href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                            title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="compareTo-org.apache.poi.hssf.usermodel.HSSFRow-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>compareTo</h4>
                                <pre>public&nbsp;int&nbsp;compareTo(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFRow</a>&nbsp;other)</pre>
                                <div class="block">Compares two <code>HSSFRow</code> objects. Two rows are equal if they
                                    belong to the same worksheet and
                                    their row indexes are equal.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>compareTo</code>&nbsp;in interface&nbsp;<code>java.lang.Comparable&lt;<a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFRow.html"
                                            title="class in org.apache.poi.hssf.usermodel">HSSFRow</a>&gt;</code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>other</code> - the <code>HSSFRow</code> to be compared.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>
                                        <ul>
                                            <li>
                                                the value <code>0</code> if the row number of this <code>HSSFRow</code>
                                                is
                                                equal to the row number of the argument <code>HSSFRow</code>
                                            </li>
                                            <li>
                                                a value less than <code>0</code> if the row number of this this <code>HSSFRow</code>
                                                is
                                                numerically less than the row number of the argument
                                                <code>HSSFRow</code>
                                            </li>
                                            <li>
                                                a value greater than <code>0</code> if the row number of this this
                                                <code>HSSFRow</code> is
                                                numerically greater than the row number of the argument
                                                <code>HSSFRow</code>
                                            </li>
                                        </ul>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if the argument row belongs to
                                        a different worksheet
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;obj)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="shiftCellsRight-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>shiftCellsRight</h4>
                                <pre>public&nbsp;void&nbsp;shiftCellsRight(int&nbsp;firstShiftColumnIndex,
                            int&nbsp;lastShiftColumnIndex,
                            int&nbsp;step)</pre>
                                <div class="block">Shifts column range [firstShiftColumnIndex-lastShiftColumnIndex] step
                                    places to the right.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#shiftCellsRight-int-int-int-">shiftCellsRight</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>firstShiftColumnIndex</code> - the column to start shifting</dd>
                                    <dd><code>lastShiftColumnIndex</code> - the column to end shifting</dd>
                                    <dd><code>step</code> - length of the shifting step</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="shiftCellsLeft-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>shiftCellsLeft</h4>
                                <pre>public&nbsp;void&nbsp;shiftCellsLeft(int&nbsp;firstShiftColumnIndex,
                           int&nbsp;lastShiftColumnIndex,
                           int&nbsp;step)</pre>
                                <div class="block">Shifts column range [firstShiftColumnIndex-lastShiftColumnIndex] step
                                    places to the left.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Row.html#shiftCellsLeft-int-int-int-">shiftCellsLeft</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                                title="interface in org.apache.poi.ss.usermodel">Row</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>firstShiftColumnIndex</code> - the column to start shifting</dd>
                                    <dd><code>lastShiftColumnIndex</code> - the column to end shifting</dd>
                                    <dd><code>step</code> - length of the shifting step</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFRow.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFRichTextString.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFRow.html" target="_top">Frames</a></li>
        <li><a href="HSSFRow.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
